AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- SignUpField

## Index

### Properties

- custom
- displayOrder
- invalid
- key
- label
- required
- type

## Properties

### Optional custom

custom: boolean

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:107

### Optional displayOrder

displayOrder: number

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:105

### Optional invalid

invalid: boolean

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:106

### key

key: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:102

### label

label: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:101

### Optional required

required: boolean

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:103

### Optional type

type: string

- Defined in aws-amplify-angular/src/components/authenticator/sign-up-component/sign-up.component.core.ts:104